(function($){

    /*
        1. Data Background Function
        2. Scroll top button
        3. Offcanvus toggle
        4. Theme Slider Functions
        5. Pricing Range Slider
        6. Nice Select
        7. Checkout Toggle
        8. Header Sticky
        9. Mobile Menu
        10. Header Search 
        11. Preloader
        12. Fancybox
        13. Countdown
        14. Cart Drawer
        15. Wow Js
    */


    //1. Data Background Set


    //2. Scroll top button
    $(window).on("scroll", function(){
        var scrollBar = $(this).scrollTop();
        if(scrollBar > 150 ) {
            $(".scroll-top-btn").fadeIn();
        } else {
            $(".scroll-top-btn").fadeOut();
        }
    })
    $(".scroll-top-btn").on("click", function(){
        $("body,html").animate({
            scrollTop: 0
        });
    });


    //3. Offcanvus toggle
    $(".offcanvus-toggle").on("click", function () {
        $(".offcanvus-box").addClass("active");
    });

    $(".offcanvus-close").on("click", function(){
        $(".offcanvus-box").removeClass("active");
    });

    $(document).on("mouseup", function (e) {
        var offCanvusMenu = $(".offcanvus-box");
  
        if (!offCanvusMenu.is(e.target) && offCanvusMenu.has(e.target).length === 0) {
          $(".offcanvus-box").removeClass("active");
        }
    });



    //4. Theme Slider 
    $(".theme-slider").slick({
        
    });


    //featured product slider
    $(".feature-product-slider").slick({
        slidesToShow: 4,
        autoplay: false,
        speed: 700,
        prevArrow: "<button class='prev-arrow'><i class='fa-solid fa-chevron-left'></i></button>",
        nextArrow: "<button class='next-arrow'><i class='fa-solid fa-chevron-right'></i></button>",
        responsive: [
            {
                breakpoint: 1200,
                settings: {
                    slidesToShow: 3,
                }
            },
            {
                breakpoint: 992,
                settings: {
                    slidesToShow: 2,
                }
            },
            {
                breakpoint: 500,
                settings: {
                    slidesToShow: 1,
                }
            }
        ]
    });




        //single product slider 
        $(".single-product-slider").slick({
            slidesToShow: 1,
            arrows: false,
            asNavFor: ".product-nav-slider",
        });

        //product nav slider
        $(".product-nav-slider").slick({
            slidesToShow: 5,
            arrows: false,
            asNavFor: ".single-product-slider",
            vertical: true,
            verticalSwiping: true,
            focusOnSelect: true,
            responsive: [
                {
                    breakpoint: 768, 
                    settings: {
                        vertical: false,
                        slidesToShow: 3,
                        verticalSwiping: false,
                    }
                }
            ]
        });







        

    //5. Pricing Range Slider
    $( ".ur-pricing-range" ).slider({
        range: true,
        min: 0,
        max: 500,
        values: [ 75, 300 ],
        slide: function( event, ui ) {
          $( "#amount" ).val( "$" + ui.values[ 0 ] + " - $" + ui.values[ 1 ] );
        }
    });
    $( "#amount" ).val( "$" + $( ".ur-pricing-range" ).slider( "values", 0 ) + " - $" + $( ".ur-pricing-range" ).slider( "values", 1 ) );

    //6. Nice Select
    $('.nice_select').niceSelect();


    //7.checkout toggle
    $(".checkout-toggle-form").each(function() {
        var toggleBtn = $(this).find(".form-toggle-btn");

        toggleBtn.on("click", function(){
            $(this).parents(".checkout-toggle-form").find(".toggle-form").slideToggle(); 
            return false;
        });

    }); 

    //8. Header Sticky
    $(window).on("scroll", function(){
        var scrollBar = $(this).scrollTop();

        if ( scrollBar > 150 ) {
            $(".header-sticky").addClass("sticky-on");
        } else {
            $(".header-sticky").removeClass("sticky-on");
        }
    });

    //9. Mobile Menu
    $(".mobile-menu-toggle").on("click", function () {
        $(".mobile-menu").addClass("active");
    });

    $(".mobile-menu .close").on("click", function () {
        $(".mobile-menu").removeClass("active");
    });

    $(".mobile-menu ul li.has-submenu i").each(function () {
        $(this).on("click", function () {
        $(this).siblings('ul').slideToggle();
        $(this).toggleClass("icon-rotate");
        });
    });

    $(document).on("mouseup", function (e) {
        var offCanvusMenu = $(".mobile-menu");

        if (!offCanvusMenu.is(e.target) && offCanvusMenu.has(e.target).length === 0) {
            $(".mobile-menu").removeClass("active");
        }
    }); 

    //10. Header Search Open
    $(".header-search-open").on("click", function(){
        $(".ur-search-form").addClass("active");
    }); 

    $(".ur-search-form .close").on("click", function(){
        $(".ur-search-form").removeClass("active");
    });

    //11. Preloader
    $(window).on("load", function(){
        $(".preloader").fadeOut();
    });

    //12. Fancybox
    Fancybox.bind("[data-fancybox]", {});

    //13. Countdown
    $(".countdown-timer").each(function () {
        var $data_date = $(this).data('date');
        $(this).countdown({
          date: $data_date
        });
    });

    //14. Cart Drawer
    $(".user-cart .cart-btn, .ur3-cart-btn").on("click", function(){
        $(".cart-drawer").addClass("active");
    });

    $(".drawer-close").on("click", function(){
        $(".cart-drawer").removeClass("active");
    });

    $(document).on("mouseup", function (e) {
        var offCanvusMenu = $(".cart-drawer");

        if (!offCanvusMenu.is(e.target) && offCanvusMenu.has(e.target).length === 0) {
            $(".cart-drawer").removeClass("active");
        }
    }); 


    //15. wow js
    new WOW().init();

    setShareLinks();

    function socialWindow(url) {
        var left = (screen.width - 570) / 2;
        var top = (screen.height - 570) / 2;
        var params = "menubar=no,toolbar=no,status=no,width=570,height=570,top=" + top + ",left=" + left;
        // Setting 'params' to an empty string will launch
        // content in a new tab or window rather than a pop-up.
        // params = "";
        window.open(url,"NewWindow",params);
    }

    function setShareLinks() {
        var pageUrl = encodeURIComponent(document.URL);
        var tweet = encodeURIComponent($("meta[property='og:description']").attr("content"));

        $(".social-share.facebook").on("click", function() {
            url = "https://www.facebook.com/sharer.php?u=" + pageUrl; socialWindow(url);
        });

        $(".social-share.twitter").on("click", function() {
            url = "https://twitter.com/intent/tweet?url=" + pageUrl + "&text=" + tweet;
            socialWindow(url);
        });

        $(".social-share.linkedin").on("click", function() {
            url = "https://www.linkedin.com/shareArticle?mini=true&url=" + pageUrl; socialWindow(url);
        });
    }
    
 
    
  
  $(document).ready(function(){
		$('.uroan_create_acc_btn').click(function() {
			$('form.login').css("display", "none");
	     //$('form.register').css("display", "block");
	     
	     $( "form.register" ).fadeIn();
	     
	      //$( "form.login" ).fadeOut();
			
		});
		
		
			$('.uroan_create_acc_btn_login').click(function() {
			//$('form.login').css("display", "block");
	     $('form.register').css("display", "none");
	     
	     
	     
	      $( "form.login" ).fadeIn();
			
		});
	});
	
        
       
            
    
    
    
    
$(document).ready(function ($) {
      $("#mayosis-sidemenu li.has-sub>a").on("click", function () {
   $(this).removeAttr("href");
     var z = $(this).parent("li");
             z.hasClass("open")
                   ? (z.removeClass("open"), z.find("li").removeClass("open"), z.find("ul").slideUp())
                : (z.addClass("open"),
              z.children("ul").slideDown(),
              z.siblings("li").children("ul").slideUp(),
                z.siblings("li").removeClass("open"),
                 z.siblings("li").find("ul").slideUp());
            }),
                $("#mayosis-sidemenu>ul>li.has-sub>a").append('<span class="holder"></span>');
       });



})(jQuery)

        

// Banner Moving JS End