<?php
if (!defined('ABSPATH')) {
    exit; // Exit if accessed directly.
}
if (!class_exists('Uroan_Theme_Script')) {

    class Uroan_Theme_Script
    {


        public function __construct()
        {


            add_action('wp_enqueue_scripts', array($this, 'uroan_scripts'));

            add_action('admin_enqueue_scripts', array($this, 'uroan_register_admin_styles'));


        }



#-----------------------------------------------------------------#
# Enqueue Styles & scripts
#-----------------------------------------------------------------#/

        public function uroan_scripts()
        {
            wp_enqueue_style('bootstrap', UROAN_URL . '/assets/css/bootstrap.min.css', false, UROAN_VERSION, 'all');
            wp_enqueue_style('uroan-default', UROAN_URL . '/assets/css/theme-default.css', false, UROAN_VERSION, 'all');
            wp_enqueue_style('Font-Awesome', UROAN_URL . '/assets/css/all.css', false, UROAN_VERSION, 'all');
            wp_enqueue_style('slick', UROAN_URL . '/assets/css/slick.css', false, UROAN_VERSION, 'all');
            wp_enqueue_style('jquery-ui', UROAN_URL . '/assets/css/jquery-ui.css', false, UROAN_VERSION, 'all');
            wp_enqueue_style('nice-select', UROAN_URL . '/assets/css/nice-select.css', false, UROAN_VERSION, 'all');
            wp_enqueue_style('swiper', UROAN_URL . '/assets/css/swiper-bundle.min.css', false, UROAN_VERSION, 'all');
            wp_enqueue_style('fancybox', UROAN_URL . '/assets/css/fancybox.css', false, UROAN_VERSION, 'all');
            wp_enqueue_style('animate', UROAN_URL . '/assets/css/animate.css', false, UROAN_VERSION, 'all');
            wp_enqueue_style('uroan-style', UROAN_URL . '/assets/css/uroan-style.css', false, UROAN_VERSION, 'all');
            
            
            wp_enqueue_style('uroan-google-fonts',uroan_fonts_url(), array(), null);
            wp_enqueue_script('popper', UROAN_URL . '/assets/js/popper.min.js', array('jquery'), UROAN_VERSION, true);
            wp_enqueue_script('bootstrap', UROAN_URL . '/assets/js/bootstrap.min.js', array('jquery'), UROAN_VERSION, true);
            wp_enqueue_script('slick', UROAN_URL . '/assets/js/slick.js', array('jquery'), UROAN_VERSION, true);
            wp_enqueue_script('swiper', UROAN_URL . '/assets/js/swiper.min.js', array('jquery'), UROAN_VERSION, true);
            wp_enqueue_script('marquee-min', UROAN_URL . '/assets/js/marquee.min.js', array('jquery'), UROAN_VERSION, true);
            wp_enqueue_script('jquery-ui', UROAN_URL . '/assets/js/jquery-ui.js', array('jquery'), UROAN_VERSION, true);
            wp_enqueue_script('nice-select', UROAN_URL . '/assets/js/nice-select.js', array('jquery'), UROAN_VERSION, true);
            wp_enqueue_script('fancybox', UROAN_URL . '/assets/js/fancybox.js', array('jquery'), UROAN_VERSION, true);
            wp_enqueue_script('countdown', UROAN_URL . '/assets/js/countdown.min.js', array('jquery'), UROAN_VERSION, true);
            wp_enqueue_script('wow', UROAN_URL . '/assets/js/wow.js', array('jquery'), UROAN_VERSION, true);
            wp_enqueue_script('uroan-script', UROAN_URL . '/assets/js/uroan-script.js', array('jquery'), UROAN_VERSION, true);


            $ajax_url = admin_url('admin-ajax.php', 'relative');
            $main_values = array();
            $woo_msg = esc_attr__('You have added the item to your shopping cart!', 'uroan');
            $main_values['dataAddCartMsg'] = $woo_msg;
            $script_params = array(
                'ajax_url'					=> $ajax_url
            );



            if (class_exists('Uroan_Core')) {
                if (class_exists('WooCommerce')) {
                    
                      if ( !wp_script_is( 'wc-cart-fragments', 'enqueued') && wp_script_is( 'wc-cart-fragments', 'registered' ) ) {

                        // Enqueue the wc-cart-fragments script
                        
                        wp_enqueue_script( 'wc-cart-fragments' );
                        
                         }
 
                    wp_enqueue_script('uroan-woo', UROAN_URL . '/assets/js/uroan-wc.js', array('jquery'), UROAN_VERSION, true);
                  

                    wp_enqueue_script('uroan-mini-cart', UROAN_URL . '/assets/js/uroan-mini-cart.js', array('jquery'), UROAN_VERSION, true);
                    wp_localize_script( 'uroan-mini-cart', 'uroan_params', $script_params );
                    
                      wp_localize_script('uroan-woo', 'uroan_main_object', $main_values);


                }
            }


            if (is_singular() && comments_open() && get_option('thread_comments')) {
                wp_enqueue_script('comment-reply');
            }
        }




#-----------------------------------------------------------------#
# Register/Enqueue JS/CSS In Admin Panel
#-----------------------------------------------------------------#

        public function uroan_register_admin_styles()
        {

            wp_enqueue_style('uroan-admin-css', UROAN_URL . '/assets/css/admin.css');
        }


    }

    new Uroan_Theme_Script;
}