<?php
if ( ! function_exists( 'uroan_comments' ) ) :
    function uroan_comments( $comment, $args, $depth ) {
        $GLOBALS['comment'] = $comment;

        if ( 'pingback' == $comment->comment_type || 'trackback' == $comment->comment_type ) : ?>

            <li id="comment-<?php comment_ID(); ?>" <?php comment_class(); ?>>
            <div class="comment-body">
                <?php esc_html_e( 'Pingback:', 'uroan' ); ?> <?php comment_author_link(); ?> <?php edit_comment_link( esc_attr__( 'Edit', 'uroan' ), '<span class="edit-link">', '</span>' ); ?>
            </div>
            </li>
        <?php else : ?>

        <li id="comment-<?php comment_ID(); ?>" <?php comment_class( empty( $args['has_children'] ) ? '' : 'parent' ); ?>>
            <article id="div-comment-<?php comment_ID(); ?>" class="comment-body blog-comment-list">
                <div class="comment-meta">
                    <div class="comment-author d-flex align-items-center gap-4 flex-wrap flex-md-nowrap">
                        <?php echo get_avatar( $comment, 140 ); ?>
                        <div class="comment-title-meta">
                            <div class="comment-metadata">
                                <a class="fw-light fs-sm text-color" href="<?php echo esc_url( get_comment_link( $comment->comment_ID ) ); ?>">
                                    <time datetime="<?php comment_time( 'c' ); ?>">
                                        <?php printf( esc_html__( '%1$s at %2$s', 'uroan' ), get_comment_date(), get_comment_time() ); ?>
                                    </time>
                                </a>

                            </div><!-- .comment-metadata -->
                            <?php
                            comment_reply_link( array_merge( $args, array(
                                'add_below' => 'div-comment',
                                'depth'     => $depth,
                                'max_depth' => $args['max_depth'],
                                'before'    => '<span class="comment-reply reply-btn">',
                                'after'     => '</span>',
                            ) ) );
                            ?>
                            <?php printf( esc_html__( '%s', 'uroan' ), sprintf( '<h3 class="comment-author-title">%s</h3>', get_comment_author_link() ) ); ?>
                            <div class="comment-content">

                                <?php if ( '0' == $comment->comment_approved ) : ?>
                                    <p class="comment-awaiting-moderation "><?php esc_html_e( 'Your comment is awaiting moderation.', 'uroan' ); ?></p>
                                <?php endif; ?>



                                <div class="comment-text fw-light text-color mb-0"><?php comment_text(); ?></div><!-- .comment-text -->



                                <?php edit_comment_link( esc_html__( 'Edit', 'uroan' ) ); ?>

                                <div class="comment-separator"></div>

                            </div><!-- .comment-content -->
                        </div>

                    </div><!-- .comment-author-avatar -->


                </div>


            </article><!-- .comment-body -->
        </li>
        <?php
        endif;
    }
endif; // ends check for uroan_comments()