<?php
/**
 * The template for displaying product content within loops
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/content-product.php.
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you
 * (the theme developer) will need to copy the new files to your theme to
 * maintain compatibility. We try to do this as little as possible, but it does
 * happen. When this occurs the version of the template file will be bumped and
 * the readme will list any important changes.
 *
 * @see     https://docs.woocommerce.com/document/template-structure/
 * @package WooCommerce/Templates
 * @version 3.6.0
 */
defined( 'ABSPATH' ) || exit;

global $product, $post;
$image = wp_get_attachment_image_src(get_post_thumbnail_id(get_the_ID()), 'full');

$image_id = get_post_thumbnail_id();
$image_alt = get_post_meta($image_id, '_wp_attachment_image_alt', TRUE);
$nonce = wp_create_nonce("product_nonce");

// Ensure visibility.
if ( empty( $product ) || ! $product->is_visible() ) {
    return;
}
$product_style = cs_get_option('uroan-archive-style');

?>
<div class="col-xxl-12 col-lg-6">
    <?php
    /**
     * Hook: woocommerce_before_shop_loop_item.
     *
     * @hooked woocommerce_template_loop_product_link_open - 10
     */
    do_action( 'woocommerce_before_shop_loop_item');
    ?>

        <div class="horizontal-product-card mb-32">
            <div class="feature-image light-bg p-4 d-inline-flex align-items-center justify-content-center">
                <a href="<?php the_permalink(); ?>"><img src="<?php echo esc_url($image[0]); ?>" alt="<?php echo esc_attr($image_alt); ?>" class="img-fluid"></a>
            </div>
            <div>
                <?php echo wc_get_product_category_list($product->get_id(), ' - ', '<span class="category-btn">', '</span>'); ?>

                <a href="<?php the_permalink(); ?>" class="product-title"><h5 class="mb-2"><?php the_title(); ?></h5></a>
                <div class="pricing d-flex align-items-center gap-2">
                    <?php echo maybe_unserialize($product->get_price_html()); ?>

                </div>
                <p class="fw-light"><?php echo  wp_trim_words( get_the_excerpt(), 17, '...' ); ?>
                </p>
                <div class="d-flex align-items-center gap-3 flex-wrap product_list_main_arcive">
                    <div class="quantity-box">
                        <button type="button" class="drecrement"><i class="fa-solid fa-minus"></i></button>
                        <input type="text" value="1">
                        <button type="button" class="drecrement"><i class="fa-solid fa-plus"></i></button>
                    </div>

<div class="woo_add_to_cart_main">
    <?php woocommerce_template_loop_add_to_cart();?>
</div>

<!--                    <button type="button" class="add_to_cart_btn">Add to Cart<span class="ms-2"><i class="fa-solid fa-basket-shopping"></i></span></button>-->
                    <?php
                    if( class_exists( 'YITH_WCWL' ) ){
                        ?>

                        <?php
                        $wishNonce = wp_create_nonce("add_to_wishlist");
                        $like_link = admin_url('admin-ajax.php?nonce='.$wishNonce);
                        $status = '';
                        $like_classes = 'text-body-default';

                        global $yith_wcwl;
                        if(empty($yith_wcwl->details['user_id'])){
                            $yith_wcwl->details['user_id'] = '';
                        }
                        if($yith_wcwl->is_product_in_wishlist($post->ID)){
                            $status = 'remove-item';
                            $like_classes = 'nik-wishlist-full';
                        }
                        ?>
                        <button href="#" type="button" data-wishlist-link="<?php echo esc_url($like_link); ?>" data-id="<?php echo esc_attr( $post->ID); ?>" class="action_btn wish-btn uroan-add-to-wishlist <?php echo esc_attr( $status); ?>">
                            <i class="btn-icon <?php echo esc_attr( $like_classes); ?> fa-regular fa-heart"></i>
                        </button>
                        <?php
                    }
                    ?>
                    <?php 
                    if(class_exists( 'WPCleverWoosc' )){
                    echo do_shortcode( '[woosc id="{product id}"]' );
                    }?>
                    <?php echo  uroan_add_quick_view_card(); ?>
                </div>
            </div>
        </div>
    </div>

