<?php
/**
 * The template for displaying product content in the single-product.php template
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/content-single-product.php.
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you
 * (the theme developer) will need to copy the new files to your theme to
 * maintain compatibility. We try to do this as little as possible, but it does
 * happen. When this occurs the version of the template file will be bumped and
 * the readme will list any important changes.
 *
 * @see     https://docs.woocommerce.com/document/template-structure/
 * @package WooCommerce/Templates
 * @version 3.6.0
 */

defined('ABSPATH') || exit;

global $product;

$product_style = cs_get_option('product-layout-style');
$breadcrumb = cs_get_option('bd_title_hide_woo');
$row_reverse = $product_style == 'style-2' ? 'flex-row-reverse' : '';

?>
<div id="product-<?php the_ID(); ?>" <?php wc_product_class('', $product); ?>>
    <?php
    /**
     * Hook: woocommerce_before_single_product.
     *
     * @hooked wc_print_notices - 10
     */

    if (post_password_required()) {
        echo get_the_password_form(); // WPCS: XSS ok.
        return;
    }

    ?>
    
    <?php if ($breadcrumb == true){ ?>
    
       <!--breadcrumb section start-->
    <div class="breadcrumb-section pt-40 pb-40">
        <div class="container">
            <?php uroan_breadcrumbs(); ?>
        </div>
    </div>
    <!--breadcrumb section end-->
    <?php } ?>
    <!--product details start-->
    <section class="ptb-120 bg-white">
        <div class="container pb-5 pb-sm-0">
            <div class="product-single">
                <div class="row g-4 <?php echo esc_attr($row_reverse); ?>">
                    <div class="col-xxl-6">
                        <?php wc_get_template_part( 'single-product/uroan-product-single', 'slider' ); ?>
                    </div>
                    <div class="col-xxl-6">
                        <?php wc_get_template_part( 'single-product/uroan-product-single', 'info' ); ?>
                    </div>
                </div>
                <?php wc_get_template_part( 'single-product/uroan-product-single', 'tab' ); ?>
            </div>
        </div>
    </section>
    <!--product details end-->
    <?php echo woocommerce_output_related_products(); ?>
    <?php do_action('woocommerce_after_single_product'); ?>
</div>
<div class="clearfix"></div>
