<?php
/**
 * Related Products
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/single-product/related.php.
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you
 * (the theme developer) will need to copy the new files to your theme to
 * maintain compatibility. We try to do this as little as possible, but it does
 * happen. When this occurs the version of the template file will be bumped and
 * the readme will list any important changes.
 *
 * @see        https://docs.woocommerce.com/document/template-structure/
 * @package    WooCommerce/Templates
 * @version     3.0.0
 */

if (!defined('ABSPATH')) {
    exit;
}

if ($related_products) {
    ?>
    <!--featured products start-->
    <section class="ptb-120 bg-white border-top clear">
        <div class="container">
            <div class="row">
                <div class="col-xl-7">
                    <div class="section-title">
                        <h2 class="fw-normal mb-50 text-font-family"><?php printf(__('%s', 'uroan'), apply_filters('woocommerce_related_products_heading', 'Our Related Products')); ?></h2>
                    </div>
                </div>
            </div>
            <div class="feature-product-slider slider-spacing">
                <?php
                foreach ($related_products as $related_product) {
                    $post_object = get_post($related_product->get_id());
                    setup_postdata($GLOBALS['post'] =& $post_object); // phpcs:ignore WordPress.WP.GlobalVariablesOverride.Prohibited, Squiz.PHP.DisallowMultipleAssignments.Found
                    wc_get_template_part('product-style/product-style', 'one');
                }
                ?>
            </div>
        </div>
    </section>
    <!--featured products end -->
    <?php
};

wp_reset_postdata();
