<?php
global $product;

$attachment_ids = $product->get_gallery_image_ids();
$feature_image_id = $product->get_image_id();

$product_style = cs_get_option('product-layout-style');
$row_reverse = $product_style == 'style-2' ? 'flex-row-reverse' : '';
?>

<div class="product-single-slider d-flex <?php echo esc_attr($row_reverse); ?>">
    <div class="product-nav-slider-wrapper">
        <div class="product-nav-slider">
            <?php
            if (has_post_thumbnail()) {
                ?>
                <div class="feature-image light-bg p-3">
                    <img src="<?php echo esc_url(wp_get_attachment_image_url($feature_image_id, 'uroan-product-single-thumbnail')); ?>" alt="not found" class="img-fluid">
                </div>
                <?php
            }
            foreach ($attachment_ids as $attachment_id) {
                ?>
                <div class="feature-image light-bg p-3">
                    <img src="<?php echo esc_url(wp_get_attachment_image_url($attachment_id, 'uroan-product-single-thumbnail')); ?>" alt="not found" class="img-fluid">
                </div>
                <?php
            } ?>
        </div>
    </div>

    <div class="product-main-slider-wrapper">
        <div class="single-product-slider slider-spacing">
            <?php
            if (has_post_thumbnail()) {
                ?>
                <div class="feature-image light-bg  p-3">
                    <img src="<?php echo esc_url(wp_get_attachment_image_url($feature_image_id, 'full')); ?>" alt="not found" class="img-fluid">
                </div>
                <?php
            }
            foreach ($attachment_ids as $attachment_id) {
                ?>
                <div class="single-item">
                    <div class="feature-image bg-light">
                        <img src="<?php echo esc_url(wp_get_attachment_image_url($attachment_id, 'full')); ?>" alt="not found" class="img-fluid">
                    </div>
                </div>
                <?php
            } ?>
        </div>
    </div>
</div>

