<?php
/**
 * The main template file
 *
 * This is the most generic template file in a WordPress theme
 * and one of the two required files for a theme (the other being style.css).
 * It is used to display a page when nothing more specific matches a query.
 * E.g., it puts together the home page when no home.php file exists.
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package Uroan
 */

get_header();

?>
    <!--breadcrumb section start-->
    <div class="breadcrumb-section pt-40 pb-40">
        <div class="container">
            <?php uroan_breadcrumbs();?>
        </div>
    </div>
    <!--breadcrumb section end-->
<section class="bg-white ptb-120">
<div class="container uroan-condensed-container">
	<div class="row g-5 g-md-6">
		<?php if ( is_active_sidebar( 'uroan-sidebar' ) ) { ?>
			<div class="col-md-9">
                <div class="row">
		<?php }else{ ?>
			<div class="col-md-12">
                <div class="row">
		<?php } ?>

			<?php
			if ( have_posts() ) :

				if ( is_home() && ! is_front_page() ) :
					?>
					
					<?php
				endif;

				/* Start the Loop */
				while ( have_posts() ) :
					the_post();

					/*
					* Include the Post-Type-specific template for the content.
					* If you want to override this in a child theme, then include a file
					* called content-___.php (where ___ is the Post Type name) and that will be used instead.
					*/
            ?>
                <div class="col-xl-4 col-md-6">
                    <?php
					get_template_part( 'template-parts/content', 'post' );
                    ?>
                </div>
                <?php
				endwhile;

				uroan_page_navs();

			else :

				get_template_part( 'template-parts/content', 'none' );

			endif;
			?>
		</div>
            </div>
		<?php if ( is_active_sidebar( 'uroan-sidebar' ) ) { ?>
			<div class="col-md-3 uroan-sidebar">
				<?php dynamic_sidebar( 'uroan-sidebar' ); ?>
			</div>
		<?php } ?>

		
	</div>
</div><!-- #container -->
</section>
<?php

get_footer();
