<?php

/**
 * Template part for displaying posts
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package Uroan
 */

$title_hide_wd = cs_get_option('x_sbl_width_set');

$tag_list = get_the_tag_list('<ul><li>', '</li><li>', '</li></ul>');
?>

<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>

    <!--breadcrumb section start-->
    <div class="breadcrumb-section pt-40 pb-40" data-background="assets/images/shapes/breadcrumb-bg.jpg">
        <div class="container">
            <?php uroan_breadcrumbs(); ?>
        </div>
    </div>
    <!--breadcrumb section end-->

    <div class="container">
        <section class="uroan-single-post-content ptb-120">
            <div class="container uroan-condensed-container">
                <div class="row gx-6">
                    <?php if (is_active_sidebar('uroan-sidebar')) { ?>
                    <div class=" col-lg-8 col-md-12 col-sm-12 single-main-content single-main-content-sidebar">
                        <?php } else { ?>
                        <div class="col-12 col-md-12 single-main-content single-main-content-sidebar">
                            <?php } ?>
                            <div class="blog-single-content">
                                <?php if (has_post_thumbnail()) { ?>
                                <img src="<?php the_post_thumbnail_url(); ?>" alt="not found"
                                     class="img-fluid mb-5 uron_single_page">
                                     <?php } ?>
                                <p class="fs-sm fw-light text-color mb-3"><?php uroan_posted_on(); ?> -
                                    By <?php echo esc_html(get_the_author_meta('display_name')); ?> -
                                    In <?php if (get_the_category_list()) { ?>
                                        <?php uroan_post_cat(); ?><?php } ?></p>
                                <h3 class="mb-40 fw-normal"><?php the_title(); ?></h3>
                                <div class="uroan_cotent_wrrape mb-60 ">
                                    <?php the_content(); ?>
                                </div>


                                <div class="tags-social d-flex align-items-center justify-content-between flex-wrap gap-3">
                                    <div class="tags-list">
                                        <span class="title fw-medium me-2">Tags:</span>
                                        <?php echo maybe_unserialize($tag_list); ?>

                                    </div>
                                    <div class="social-share">

                                        <a class="social-share facebook"><i class=" fab fa-facebook-f"></i></a>
                                        <a class="social-share twitter"><i class="fab fa-twitter"></i></a>
                                        <a class="social-share linkedin"><i class="fab fa-linkedin-in"></i></a>

                                    </div>
                                </div>

                                <div class="spacer mt-60 mb-60"></div>

                                <div class="blog-author">
                                    <h3 class="mb-40">Author</h3>
                                    <?php
                                    global $current_user, $post;

                                    $authorid = get_the_author_meta('ID');
                                    $address = get_user_meta($authorid, 'user_address', true);
                                    $website = get_the_author_meta('user_url');
                                    $facebook = get_user_meta($authorid, 'user_facebook', true);
                                    $twitter = get_user_meta($authorid, 'user_twitter', true);
                                    $instagram = get_user_meta($authorid, 'user_instagram', true);
                                    $linkedin = get_user_meta($authorid, 'user_linkedin', true);
                                    $usercover = get_user_meta($authorid, 'user_cover', true);
                                    ?>
                                    <div class="blog-author-box d-flex align-items-center gap-4 flex-wrap flex-md-nowrap">
                                        <div class="author-thumb">
                                            <?php echo get_avatar(get_the_author_meta('ID'), ''); ?>

                                        </div>
                                        <div>
                                            <h4 class="mb-4 fw-normal"><?php echo esc_html(get_the_author_meta('display_name')); ?></h4>
                                            <p class="mb-4 fw-light text-color"><?php echo esc_html(get_the_author_meta('description')); ?></p>
                                            <div class="author-socials">

                                                <?php if ($facebook) { ?>
                                                    <a href="<?php echo esc_url($facebook); ?>"><i
                                                                class="fab fa-facebook"></i></a>

                                                <?php } ?>
                                                <?php if ($twitter) { ?>
                                                    <a href="<?php echo esc_url($twitter); ?>"><i
                                                                class="fab fa-twitter"></i></a>

                                                <?php } ?>
                                                <?php if ($instagram) { ?>
                                                    <a href="<?php echo esc_url($instagram); ?>"><i
                                                                class="fab fa-instagram"></i></a>

                                                <?php } ?>

                                            </div>
                                        </div>
                                    </div>
                                </div>

                                <div class="spacer mt-60 mb-60"></div>


                                <div class="blog-review-form mt-5">
<!--                                    <h3 class="mb-3 fw-normal">Add a Review</h3>-->
<!--                                    <p class="mb-4">Your email address will not be published. Required fields are-->
<!--                                        marked*</p>-->
                                    <?php

                                    // If comments are open or we have at least one comment, load up the comment template.
                                    if (comments_open() || get_comments_number()) :
                                        comments_template();
                                    endif;
                                    ?>
                                </div>

                            </div>


                        </div>
                        <div class=" col-lg-4 col-md-12 col-sm-12 single-sidebar-content">
                            <?php if (is_active_sidebar('uroan-sidebar')) { ?>

                                <?php dynamic_sidebar('uroan-sidebar'); ?>

                            <?php } ?>
                        </div>
                    </div>
                </div>
        </section>
    </div>
    </section>
</article>