<?php
$copyright = cs_get_option('copyright_text');

if (cs_get_option('Newsletter-Switcher')) {
    get_template_part('template-parts/footer/uroan-footer', 'newsletter');
}
?>
<!--footer section start-->
<footer class="footer-style-3 primary-bg-color pt-120 pb-3 pb-xl-0">
    <div class="container-large">
        <div class="row">
            <div class="col-xl-8">
                <div class="row g-4">
                    <?php if (is_active_sidebar('uroan-about-widget')) { ?>
                        <div class="col-xxl-4 col-xl-5 col-lg-3 col-md-6">
                            <?php dynamic_sidebar('uroan-about-widget'); ?>
                        </div>
                    <?php } ?>

                    <?php if (is_active_sidebar('uroan-useful-links-widget')) { ?>
                        <div class="col-xxl-3 col-xl-2 col-lg-3 ps-lg-5 ps-xl-0 col-md-6">
                            <?php dynamic_sidebar('uroan-useful-links-widget'); ?>
                        </div>
                    <?php } ?>
                    <?php if (is_active_sidebar('uroan-useful-links-widget-two')) { ?>
                        <div class="col-xxl-2 col-xl-3 ps-xl-5 ps-xxl-0 col-lg-3 col-md-6">
                            <?php dynamic_sidebar('uroan-useful-links-widget-two'); ?>
                        </div>
                    <?php } ?>
                    <?php if (is_active_sidebar('uroan-useful-links-widget-three')) { ?>
                        <div class="col-xxl-2 offset-xxl-1 col-xl-2 col-lg-3 col-md-6">
                            <?php dynamic_sidebar('uroan-useful-links-widget-three'); ?>
                        </div>
                    <?php } ?>
                </div>

                <?php if (is_active_sidebar('uroan-footer-style-one-newsletter')) { ?>
                    <div class="ur3-newsletter-box mt-60">
                        <?php dynamic_sidebar('uroan-footer-style-one-newsletter'); ?>
                    </div>
                <?php } ?>
                <?php if (cs_get_option('footer_copyright_enable')) { ?>
                    <div class="ur3-footer-copyright">
                        <div class="row align-items-center g-3">
                            <div class="col-md-6">
                                <p class="mb-0 text-white"><?php printf('%s', cs_get_option('copyright_text')); ?></p>
                            </div>
                            <div class="col-md-6">
                                <div class="text-md-end">
                                    <?php
                                    $payment_card_img_meta = cs_get_option('accepted_card_image');
                                    $payment_card_img = is_array($payment_card_img_meta) && !empty($payment_card_img_meta['url']) ? $payment_card_img_meta['url'] : '';
                                    if (!empty($payment_card_img)) {
                                        ?>
                                        <img src="<?php echo esc_url($payment_card_img); ?>" alt="cards" class="img-fluid">
                                    <?php } ?>
                                </div>
                            </div>
                        </div>
                    </div>
                <?php } ?>
            </div>
            <div class="col-xl-4">
                <?php
                if (is_active_sidebar('uroan-footer-instagram-gallery')) {
                    dynamic_sidebar('uroan-footer-instagram-gallery');
                }
                ?>
            </div>
        </div>
    </div>
</footer>
<!--footer section end-->